
From: Michal Ludvig <mludvig@suse.cz>

The attached patch enables autoload of crypto_null module.


---

 25-akpm/crypto/crypto_null.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN crypto/crypto_null.c~crypto_null-autoload crypto/crypto_null.c
--- 25/crypto/crypto_null.c~crypto_null-autoload	2004-04-22 22:17:35.776674520 -0700
+++ 25-akpm/crypto/crypto_null.c	2004-04-22 22:17:35.779674064 -0700
@@ -94,6 +94,10 @@ static struct crypto_alg cipher_null = {
 	.cia_decrypt		=	null_decrypt } }
 };
 
+MODULE_ALIAS("compress_null");
+MODULE_ALIAS("digest_null");
+MODULE_ALIAS("cipher_null");
+
 static int __init init(void)
 {
 	int ret = 0;

_
